package se.gawell.setrace.jersey;

import org.slf4j.MDC;

import se.gawell.setrace.logging.Logger;

import com.sun.jersey.api.client.ClientHandlerException;
import com.sun.jersey.api.client.ClientRequest;
import com.sun.jersey.api.client.ClientResponse;
import com.sun.jersey.api.client.filter.ClientFilter;

/**
 * Filter to get request trace id from MDC and put it in request header.
 * 
 * Used by RequestTracingJerseyClient
 * 
 * @author Niklas Gawell
 *
 */
class RequestTraceIdClientFilter extends ClientFilter {

	@Override
	public ClientResponse handle(ClientRequest cr) throws ClientHandlerException {
		String requestTraceId = MDC.get(Logger.REQUEST_TRACE_ID_NAME);
		cr.getHeaders().putSingle(Logger.REQUEST_TRACE_ID_NAME, requestTraceId);
		return getNext().handle(cr);
	}

}
