package se.gawell.setrace.jersey;

import com.sun.jersey.api.client.Client;
import com.sun.jersey.api.client.filter.ClientFilter;

/**
 * Wrapper class for Jersey Client. Purpose of this class is to automatically add 
 * RequestTraceIdClientFilter to the filter chain for any request.
 * 
 * @author Niklas Gawell
 *
 */
public class RequestTracingJerseyClient extends Client implements TracingJerseyBasedClient {
	
	public static final ClientFilter FILTER = new RequestTraceIdClientFilter();

	public RequestTracingJerseyClient() {
		super();
		addFilter(FILTER);
	}
	
}
