package se.gawell.setrace.jersey;

import com.sun.jersey.spi.container.ContainerRequestFilter;
import com.sun.jersey.spi.container.ContainerResponseFilter;
import com.sun.jersey.spi.container.ResourceFilter;

/**
 * Filter for jersey servlets to add request trace id to MDC from request header.
 * 
 * Usage: annotate your resources with 
 * {@code @ResourceFilters({ServletRequestTraceIdFilter.class})}
 * 
 * @author Niklas Gawell
 *
 */
public class ServletRequestTraceIdFilter implements ResourceFilter {
	
	private ServletRequestTraceIdRequestFiler requestFilter = new ServletRequestTraceIdRequestFiler();
	
	@Override
	public ContainerRequestFilter getRequestFilter() {
		return requestFilter;
	}

	@Override
	public ContainerResponseFilter getResponseFilter() {
		return null;
	}

}
